gdjs.MenuCode = {};


gdjs.MenuCode.GDArrierePlanObjects1= [];
gdjs.MenuCode.GDTitreObjects1= [];
gdjs.MenuCode.GDSelecteurObjects1= [];
gdjs.MenuCode.GDTextObjects1= [];
gdjs.MenuCode.GDSettingsObjects1= [];
gdjs.MenuCode.GDlogoObjects1= [];
gdjs.MenuCode.GDTextesObjects1= [];
gdjs.MenuCode.GDNouvelObjetObjects1= [];

gdjs.MenuCode.conditionTrue_0 = {val:false};
gdjs.MenuCode.condition0IsTrue_0 = {val:false};
gdjs.MenuCode.condition1IsTrue_0 = {val:false};
gdjs.MenuCode.condition2IsTrue_0 = {val:false};
gdjs.MenuCode.condition3IsTrue_0 = {val:false};
gdjs.MenuCode.condition4IsTrue_0 = {val:false};
gdjs.MenuCode.conditionTrue_1 = {val:false};
gdjs.MenuCode.condition0IsTrue_1 = {val:false};
gdjs.MenuCode.condition1IsTrue_1 = {val:false};
gdjs.MenuCode.condition2IsTrue_1 = {val:false};
gdjs.MenuCode.condition3IsTrue_1 = {val:false};
gdjs.MenuCode.condition4IsTrue_1 = {val:false};

gdjs.MenuCode.func = function(runtimeScene, context) {
context.startNewFrame();
gdjs.MenuCode.GDArrierePlanObjects1.length = 0;
gdjs.MenuCode.GDTitreObjects1.length = 0;
gdjs.MenuCode.GDSelecteurObjects1.length = 0;
gdjs.MenuCode.GDTextObjects1.length = 0;
gdjs.MenuCode.GDSettingsObjects1.length = 0;
gdjs.MenuCode.GDlogoObjects1.length = 0;
gdjs.MenuCode.GDTextesObjects1.length = 0;
gdjs.MenuCode.GDNouvelObjetObjects1.length = 0;


{

gdjs.MenuCode.GDSelecteurObjects1.createFrom(runtimeScene.getObjects("Selecteur"));

gdjs.MenuCode.condition0IsTrue_0.val = false;
gdjs.MenuCode.condition1IsTrue_0.val = false;
gdjs.MenuCode.condition2IsTrue_0.val = false;
gdjs.MenuCode.condition3IsTrue_0.val = false;
{
gdjs.MenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
}if ( gdjs.MenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSelecteurObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSelecteurObjects1[i].cursorOnObject(runtimeScene, false) ) {
        gdjs.MenuCode.condition1IsTrue_0.val = true;
        gdjs.MenuCode.GDSelecteurObjects1[k] = gdjs.MenuCode.GDSelecteurObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSelecteurObjects1.length = k;}if ( gdjs.MenuCode.condition1IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSelecteurObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSelecteurObjects1[i].getAnimation() == 0 ) {
        gdjs.MenuCode.condition2IsTrue_0.val = true;
        gdjs.MenuCode.GDSelecteurObjects1[k] = gdjs.MenuCode.GDSelecteurObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSelecteurObjects1.length = k;}if ( gdjs.MenuCode.condition2IsTrue_0.val ) {
{
{gdjs.MenuCode.conditionTrue_1 = gdjs.MenuCode.condition3IsTrue_0;
gdjs.MenuCode.conditionTrue_1.val = context.triggerOnce(146455544);
}
}}
}
}
if (gdjs.MenuCode.condition3IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "Jeu");
}}

}


{

gdjs.MenuCode.GDSelecteurObjects1.createFrom(runtimeScene.getObjects("Selecteur"));

gdjs.MenuCode.condition0IsTrue_0.val = false;
gdjs.MenuCode.condition1IsTrue_0.val = false;
gdjs.MenuCode.condition2IsTrue_0.val = false;
gdjs.MenuCode.condition3IsTrue_0.val = false;
{
gdjs.MenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
}if ( gdjs.MenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSelecteurObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSelecteurObjects1[i].cursorOnObject(runtimeScene, false) ) {
        gdjs.MenuCode.condition1IsTrue_0.val = true;
        gdjs.MenuCode.GDSelecteurObjects1[k] = gdjs.MenuCode.GDSelecteurObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSelecteurObjects1.length = k;}if ( gdjs.MenuCode.condition1IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSelecteurObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSelecteurObjects1[i].getAnimation() == 1 ) {
        gdjs.MenuCode.condition2IsTrue_0.val = true;
        gdjs.MenuCode.GDSelecteurObjects1[k] = gdjs.MenuCode.GDSelecteurObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSelecteurObjects1.length = k;}if ( gdjs.MenuCode.condition2IsTrue_0.val ) {
{
{gdjs.MenuCode.conditionTrue_1 = gdjs.MenuCode.condition3IsTrue_0;
gdjs.MenuCode.conditionTrue_1.val = context.triggerOnce(146457344);
}
}}
}
}
if (gdjs.MenuCode.condition3IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "A propos de ...");
}}

}


{

gdjs.MenuCode.GDSelecteurObjects1.createFrom(runtimeScene.getObjects("Selecteur"));

gdjs.MenuCode.condition0IsTrue_0.val = false;
gdjs.MenuCode.condition1IsTrue_0.val = false;
gdjs.MenuCode.condition2IsTrue_0.val = false;
gdjs.MenuCode.condition3IsTrue_0.val = false;
{
gdjs.MenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
}if ( gdjs.MenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSelecteurObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSelecteurObjects1[i].cursorOnObject(runtimeScene, false) ) {
        gdjs.MenuCode.condition1IsTrue_0.val = true;
        gdjs.MenuCode.GDSelecteurObjects1[k] = gdjs.MenuCode.GDSelecteurObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSelecteurObjects1.length = k;}if ( gdjs.MenuCode.condition1IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSelecteurObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSelecteurObjects1[i].getAnimation() == 2 ) {
        gdjs.MenuCode.condition2IsTrue_0.val = true;
        gdjs.MenuCode.GDSelecteurObjects1[k] = gdjs.MenuCode.GDSelecteurObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSelecteurObjects1.length = k;}if ( gdjs.MenuCode.condition2IsTrue_0.val ) {
{
{gdjs.MenuCode.conditionTrue_1 = gdjs.MenuCode.condition3IsTrue_0;
gdjs.MenuCode.conditionTrue_1.val = context.triggerOnce(146457144);
}
}}
}
}
if (gdjs.MenuCode.condition3IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "Utilisation");
}}

}


{

gdjs.MenuCode.GDSettingsObjects1.createFrom(runtimeScene.getObjects("Settings"));

gdjs.MenuCode.condition0IsTrue_0.val = false;
gdjs.MenuCode.condition1IsTrue_0.val = false;
gdjs.MenuCode.condition2IsTrue_0.val = false;
{
gdjs.MenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
}if ( gdjs.MenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MenuCode.GDSettingsObjects1.length;i<l;++i) {
    if ( gdjs.MenuCode.GDSettingsObjects1[i].cursorOnObject(runtimeScene, false) ) {
        gdjs.MenuCode.condition1IsTrue_0.val = true;
        gdjs.MenuCode.GDSettingsObjects1[k] = gdjs.MenuCode.GDSettingsObjects1[i];
        ++k;
    }
}
gdjs.MenuCode.GDSettingsObjects1.length = k;}if ( gdjs.MenuCode.condition1IsTrue_0.val ) {
{
{gdjs.MenuCode.conditionTrue_1 = gdjs.MenuCode.condition2IsTrue_0;
gdjs.MenuCode.conditionTrue_1.val = context.triggerOnce(147777664);
}
}}
}
if (gdjs.MenuCode.condition2IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "Paramètres");
}}

}


{

gdjs.MenuCode.GDTextObjects1.createFrom(runtimeScene.getObjects("Text"));
gdjs.MenuCode.GDTextesObjects1.createFrom(runtimeScene.getObjects("Textes"));

gdjs.MenuCode.condition0IsTrue_0.val = false;
{
gdjs.MenuCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) == 0;
}if (gdjs.MenuCode.condition0IsTrue_0.val) {
{for(var i = 0, len = gdjs.MenuCode.GDTextObjects1.length ;i < len;++i) {
    gdjs.MenuCode.GDTextObjects1[i].hide(false);
}
}{for(var i = 0, len = gdjs.MenuCode.GDTextesObjects1.length ;i < len;++i) {
    gdjs.MenuCode.GDTextesObjects1[i].hide();
}
}}

}


{

gdjs.MenuCode.GDTextObjects1.createFrom(runtimeScene.getObjects("Text"));
gdjs.MenuCode.GDTextesObjects1.createFrom(runtimeScene.getObjects("Textes"));

gdjs.MenuCode.condition0IsTrue_0.val = false;
{
gdjs.MenuCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) == 1;
}if (gdjs.MenuCode.condition0IsTrue_0.val) {
{for(var i = 0, len = gdjs.MenuCode.GDTextesObjects1.length ;i < len;++i) {
    gdjs.MenuCode.GDTextesObjects1[i].hide(false);
}
}{for(var i = 0, len = gdjs.MenuCode.GDTextObjects1.length ;i < len;++i) {
    gdjs.MenuCode.GDTextObjects1[i].hide();
}
}}

}

return;
}
gdjs['MenuCode']= gdjs.MenuCode;
